ycrcb2rgb: XYCrCb2Rgb_Coef_Inputs Struct Reference

| ycrcb2rgb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XYCrCb2Rgb_Coef_Inputs Struct Reference
Ycrcb2rgb_v7_1

YCrCb2Rgb input coefficient. More...

## Data Fields
double | ACoef
| [ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0 More...
double | BCoef
| [ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0 More...
double | CCoef
| [ 0.0 - 1.0 ] More...
double | DCoef
| [ 0.0 - 1.0 ] More...
u32 | YOffset
| Offset for the Luminance Channel. More...
u32 | CbOffset
| Offset for the Chrominance Channels. More...
u32 | CrOffset
| Offset for the Chrominance Channels. More...
u32 | RgbMax
| RGB Clipping. More...
u32 | RgbMin
| RGB Clamping. More...

## Detailed Description

YCrCb2Rgb input coefficient.

## Field Documentation

double XYCrCb2Rgb_Coef_Inputs::ACoef

[ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0

Referenced by XYCrCb2Rgb_Coefficient_Translation(), XYCrCb2Rgb_Select_Standard(), and YCrCb2Rgb_Update_Example().

double XYCrCb2Rgb_Coef_Inputs::BCoef

[ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().

u32 XYCrCb2Rgb_Coef_Inputs::CbOffset

Offset for the Chrominance Channels.

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().

double XYCrCb2Rgb_Coef_Inputs::CCoef

[ 0.0 - 1.0 ]

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().

u32 XYCrCb2Rgb_Coef_Inputs::CrOffset

Offset for the Chrominance Channels.

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().

double XYCrCb2Rgb_Coef_Inputs::DCoef

[ 0.0 - 1.0 ]

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().

u32 XYCrCb2Rgb_Coef_Inputs::RgbMax

RGB Clipping.

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().

u32 XYCrCb2Rgb_Coef_Inputs::RgbMin

RGB Clamping.

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().

u32 XYCrCb2Rgb_Coef_Inputs::YOffset

Offset for the Luminance Channel.

Referenced by XYCrCb2Rgb_Coefficient_Translation(), and XYCrCb2Rgb_Select_Standard().